> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Weather Hold an Order

> Weather Hold an `Order`

This endpoint requires the `edit_order` `IamPermission`.



## OpenAPI

````yaml /api-reference/openapi.json put /v1/orders/{order-id}/weather_hold
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/orders/{order-id}/weather_hold:
    parameters:
      - schema:
          type: string
        name: order-id
        in: path
        required: true
        description: Order ID
      - $ref: '#/components/parameters/Accept-Language'
    put:
      tags:
        - Orders
      summary: Weather Hold an Order
      description: |-
        Weather Hold an `Order`

        This endpoint requires the `edit_order` `IamPermission`.
      operationId: put-v1-orders-order-id-weather-hold
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Order-Read'
                required:
                  - data
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/StateError'
        '415':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/ModelError'
      deprecated: true
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Order-Read:
      title: Order-Read
      x-stoplight:
        id: jmv590d522eua
      allOf:
        - $ref: '#/components/schemas/Order-Read-Nested'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          x-stoplight:
            id: pcjv95msr87kv
          required:
            - load_at
            - truck_count
            - truck_delay
            - unit_of_measure
            - load_unit_of_measure
            - service
            - quantity
            - waypoints
            - company
            - copyable
            - equipment_type
            - load_cycle_avg
            - action_required
            - foremen
            - collaborators
            - salespeople
            - external_id
            - hauler_rate_type
            - job_notes
            - units_per_hour
            - job_quantity
            - sending_accounts
            - job_start_at
            - trucks_per_delay
            - loads_pickup_time_minutes_avg
            - loads_dropoff_time_minutes_avg
            - phases
            - equipment_type_gross_capacity
            - pickup_onsite_minutes
            - dropoff_onsite_minutes
            - pickup_to_dropoff_time_minutes
            - pickup_to_dropoff_distance_meters
            - expected_total_loads
            - cycle_time_minutes
            - loads_per_truck
            - state_events
            - recurring_loads
            - material_rate_unit_of_measure
            - material_rate_sell_price
            - material_rate_buy_price
            - material_rate_itemized
          properties:
            load_at:
              type: string
              x-stoplight:
                id: cfgdlmaimwruf
              format: date-time
            truck_count:
              type: integer
              x-stoplight:
                id: 5itw7qkj0h36q
            truck_delay:
              type: integer
              x-stoplight:
                id: 7mu1078uuykcv
            unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            load_unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            project:
              $ref: '#/components/schemas/Project-Read-Nested'
            material:
              $ref: '#/components/schemas/Material-Read-Nested'
            equipment:
              $ref: '#/components/schemas/Equipment-Read-Nested'
            service:
              $ref: '#/components/schemas/Service-Read-Nested'
            quantity:
              type: string
              x-stoplight:
                id: wqi7tbq6ee992
              nullable: true
            waypoints:
              type: array
              x-stoplight:
                id: p6uf5unccv5p5
              items:
                $ref: '#/components/schemas/Waypoint-Read-Nested'
            company:
              $ref: '#/components/schemas/Company-Read-Nested'
            customer_rate:
              anyOf:
                - $ref: '#/components/schemas/RateTime-Read-Nested'
                - $ref: '#/components/schemas/RatePerUnit-Read-Nested'
                - $ref: '#/components/schemas/RateCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatRate-Read-Nested'
            vendor_rate:
              anyOf:
                - $ref: '#/components/schemas/RateTime-Read-Nested'
                - $ref: '#/components/schemas/RatePerUnit-Read-Nested'
                - $ref: '#/components/schemas/RateCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatRate-Read-Nested'
            phase:
              $ref: '#/components/schemas/Phase-Read'
            sales_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            foreman_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            supervisor_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            collaborator_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            copyable:
              type: boolean
              x-stoplight:
                id: 112ccz8nbaldd
              readOnly: true
            equipment_type:
              $ref: '#/components/schemas/EquipmentType-Read-Nested'
            department:
              $ref: '#/components/schemas/Department-Read-Nested'
            service_class:
              $ref: '#/components/schemas/ServiceClass-Read-Nested'
            load_cycle_avg:
              type: integer
              x-stoplight:
                id: f91zu37ro2h29
              description: >-
                Average `LoadCycle` time in minutes of all `Jobs` under this
                `Order`
            action_required:
              type: boolean
              x-stoplight:
                id: m3fnqql5rv8dn
              readOnly: true
            foremen:
              type: array
              x-stoplight:
                id: gxcb2wwxwjns0
              items:
                $ref: '#/components/schemas/Foreman-Read-Nested'
            collaborators:
              type: array
              x-stoplight:
                id: axcb2wwxwjns0
              items:
                $ref: '#/components/schemas/User-Read-Nested'
            salespeople:
              type: array
              x-stoplight:
                id: bxcb2wwxwjns1
              items:
                $ref: '#/components/schemas/User-Read-Nested'
            external_id:
              type: string
              x-stoplight:
                id: nq68gwcold5m0
              nullable: true
            hauler_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            job_notes:
              type: string
              x-stoplight:
                id: 5ud3uivlvck9s
              nullable: true
            units_per_hour:
              type: integer
              x-stoplight:
                id: 50xlsxxquw52c
              nullable: true
            job_quantity:
              type: string
              x-stoplight:
                id: wg6j6f6reg9sl
              nullable: true
            sending_accounts:
              x-stoplight:
                id: 7g22gl9la8zqk
              type: array
              items:
                $ref: '#/components/schemas/Account-Read-Nested'
            customer_rate_value:
              type: string
              x-stoplight:
                id: fjnm5q0a451u2
              nullable: true
            customer_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            vendor_rate_value:
              type: string
              x-stoplight:
                id: ov7z3kib1n181
              nullable: true
            vendor_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            job_start_at:
              type: string
              x-stoplight:
                id: l6zkxq2vx1ilc
              format: date-time
              nullable: true
            trucks_per_delay:
              type: integer
              x-stoplight:
                id: qcsjic2q8xbxf
            driver_rate:
              x-stoplight:
                id: weiq22zl1hj3c
              anyOf:
                - $ref: '#/components/schemas/RateTime-Read-Nested'
                - $ref: '#/components/schemas/RatePerUnit-Read-Nested'
                - $ref: '#/components/schemas/RateCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatCommission-Read-Nested'
                - $ref: '#/components/schemas/RateFlatRate-Read-Nested'
            driver_rate_value:
              type: string
              x-stoplight:
                id: swa485xjh0u0x
              nullable: true
            driver_rate_type:
              $ref: '#/components/schemas/NullableRateType'
            loads_pickup_time_minutes_avg:
              type: integer
              x-stoplight:
                id: 4v62yhd8vk6rp
            loads_dropoff_time_minutes_avg:
              type: integer
            requester:
              $ref: '#/components/schemas/User-Read-Nested'
            phases:
              type: array
              x-stoplight:
                id: jetui2m1z24p1
              items:
                $ref: '#/components/schemas/Phase-Read'
            equipment_type_gross_capacity:
              type: string
              x-stoplight:
                id: cab0do1pqqdfw
              nullable: true
            order_summary:
              $ref: '#/components/schemas/OrderSummary-Read-Nested'
            pickup_onsite_minutes:
              type: integer
              x-stoplight:
                id: jz3bmzumvh4cv
              nullable: true
            dropoff_onsite_minutes:
              type: integer
              x-stoplight:
                id: njcs074ca70l3
              nullable: true
            pickup_to_dropoff_time_minutes:
              type: integer
              x-stoplight:
                id: fk8zr8noi9mve
              nullable: true
            pickup_to_dropoff_distance_meters:
              type: string
              x-stoplight:
                id: rqlam03fzkyi2
              nullable: true
            expected_total_loads:
              type: integer
              x-stoplight:
                id: r32kdx5x2dsbi
              nullable: true
            cycle_time_minutes:
              type: integer
              x-stoplight:
                id: uno5hxxo499px
              nullable: true
            loads_per_truck:
              type: integer
              x-stoplight:
                id: 04m81fkv3xeny
              nullable: true
            requested_quantity_type:
              $ref: '#/components/schemas/NullableRequestedQuantityType'
            state_events:
              x-stoplight:
                id: s9szr43ue76yf
              type: array
              items:
                $ref: '#/components/schemas/OrderStateEvent'
            recurring_loads:
              type: boolean
              x-stoplight:
                id: 99aap8yjtaazz
            material_rate_site:
              $ref: '#/components/schemas/Site-Read-Nested'
            material_rate_unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            material_rate_sell_price:
              type: string
              x-stoplight:
                id: 012o2fvbi5ioy
              nullable: true
            material_rate_buy_price:
              type: string
              x-stoplight:
                id: qresdcwux74fk
              nullable: true
            material_rate_itemized:
              type: boolean
              x-stoplight:
                id: 035yjaw0wxryy
            reject_reason:
              type: string
              x-stoplight:
                id: 3cukow1kj37o6
              description: The user-provided reason for rejecting the Order
              maxLength: 100
              minLength: 1
              nullable: true
            rejected_by:
              type: string
              x-stoplight:
                id: j9c5o8qaktej1
              description: The name of the rejecter
              nullable: true
            rejected_at:
              type: string
              x-stoplight:
                id: y2omyxm2ntwsq
              format: date-time
              description: The timestamp when this Order was rejected
              nullable: true
            equipment_type_gross_capacity_unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            tax_rate:
              x-stoplight:
                id: g7j9l1n3q5s8u
              type: string
              nullable: true
              description: Tax rate percentage (up to 4 decimal places)
            tax_freight:
              x-stoplight:
                id: w0y2a4c6f8h1k
              type: boolean
              default: false
              description: Whether freight line items and FSC are taxable
            tax_material:
              x-stoplight:
                id: m3p5r7t9v1x3z
              type: boolean
              default: false
              description: Whether material line items are taxable
            tax_add_ons:
              x-stoplight:
                id: b5d7g9i1l3n5q
              type: boolean
              default: false
              description: >-
                Whether add-on charges are taxable (dual-confirm with
                add_on.taxable)
      description: >-
        Notes:


        - `phase` has been deprecated in favor of `phases` where `"primary" ==
        true`
    Order-Read-Nested:
      title: Order-Read-Nested
      x-stoplight:
        id: r53ko3b3esvvf
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: e0ahzgn4xwxu1
          required:
            - account
            - job_time
            - equipment_type
            - name
            - po_job_number
            - zone
            - notes
            - charge_to_account
            - state
            - editable
            - geofence_delay_seconds
          properties:
            order_id:
              type: string
              x-stoplight:
                id: rum48z3rdg42f
            dispatch_number:
              $ref: '#/components/schemas/DispatchNumber-Read-Nested'
            account:
              $ref: '#/components/schemas/Account-Read-Nested'
            job_time:
              type: integer
              x-stoplight:
                id: 4h34cu14jafd2
              nullable: true
            equipment_type:
              $ref: '#/components/schemas/EquipmentType-Read-Nested'
            name:
              type: string
              x-stoplight:
                id: dobl4n9be89ew
              nullable: true
            po_job_number:
              type: string
              x-stoplight:
                id: kv5zezw4bcj3q
              nullable: true
            zone:
              type: string
              x-stoplight:
                id: p32eix6l65ka4
              nullable: true
            notes:
              type: string
              x-stoplight:
                id: rq1csqrap8fr
              nullable: true
            charge_to_account:
              type: string
              x-stoplight:
                id: qsgspqzxb3fgo
              nullable: true
            state:
              $ref: '#/components/schemas/OrderState'
            editable:
              type: boolean
              x-stoplight:
                id: 118ydqcue5lua
              readOnly: true
            geofence_delay_seconds:
              type: integer
              x-stoplight:
                id: 9jtzn85f51ol4
              nullable: true
            default_digital_ticket_view:
              type: boolean
              default: false
              x-stoplight:
                id: ddtv6ordnested
              description: Use the default digital ticket view for jobs in this order
    Timestamps:
      title: Timestamps
      x-stoplight:
        id: t82ecgfu0oj00
      type: object
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          x-stoplight:
            id: gjj950jpq0ga9
          format: date-time
          description: ISO8601 timestamp with local timezone
        updated_at:
          type: string
          x-stoplight:
            id: bwcuyfwc7aj0e
          format: date-time
          description: ISO8601 timestamp with local timezone
      additionalProperties: false
    NullableOrderUnitOfMeasure:
      title: NullableOrderUnitOfMeasure
      x-stoplight:
        id: rtlna368z495u
      allOf:
        - $ref: '#/components/schemas/OrderUnitOfMeasure'
      type: string
      nullable: true
    Project-Read-Nested:
      title: Project-Read-Nested
      x-stoplight:
        id: 9ene929zmvaog
      allOf:
        - $ref: '#/components/schemas/Project-Read-Typeahead'
        - type: object
          x-stoplight:
            id: 8t1ly6sefwmit
          required:
            - po_job_number
            - internal_notes
            - job_notes
            - notes
            - order_notes
          properties:
            po_job_number:
              type: string
              x-stoplight:
                id: w5ajmms5o1rjq
              nullable: true
            internal_notes:
              type: string
              x-stoplight:
                id: 3hbaltdu1u159
              nullable: true
            job_notes:
              type: string
              x-stoplight:
                id: fupx5op0cmel2
              nullable: true
            notes:
              type: string
              x-stoplight:
                id: 96qr64lmtj36s
              nullable: true
            order_notes:
              type: string
              x-stoplight:
                id: o38gpshallijh
              nullable: true
    Material-Read-Nested:
      title: Material-Read-Nested
      x-stoplight:
        id: 5hvekq1lnr9ku
      type: object
      required:
        - id
        - name
        - external_id
      properties:
        id:
          type: string
          x-stoplight:
            id: c6nool5iljv3l
          format: uuid
        name:
          type: string
          x-stoplight:
            id: bsd3m2c74jis8
        external_id:
          type: string
          description: Material external_id
          x-stoplight:
            id: ab0l0yvuz5u6d
          nullable: true
      additionalProperties: false
    Equipment-Read-Nested:
      title: Equipment-Read-Nested
      x-stoplight:
        id: 7ezenec7ycv5l
      allOf:
        - $ref: '#/components/schemas/Equipment-Read-Typeahead'
        - type: object
          required:
            - license_number
            - zone
            - accounting_id
            - equipment_id
          properties:
            license_number:
              type: string
              x-stoplight:
                id: hw1ooa17wsadq
              nullable: true
            zone:
              type: string
              x-stoplight:
                id: 81hr4p8yp8btv
              nullable: true
            accounting_id:
              type: string
              x-stoplight:
                id: ere9qhs4cuwhi
              nullable: true
            equipment_id:
              type: string
              x-stoplight:
                id: gt7r3iqzx2w0u
    Service-Read-Nested:
      title: Service-Read-Nested
      x-stoplight:
        id: 4bry9oy16sin9
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          properties:
            name:
              type: string
              x-stoplight:
                id: tsb5b63pzas6h
          required:
            - name
    Waypoint-Read-Nested:
      title: Waypoint-Read-Nested
      x-stoplight:
        id: s7xrqujvsvhq0
      allOf:
        - type: object
          properties:
            type:
              $ref: '#/components/schemas/WaypointType'
            ordinality:
              type: integer
              x-stoplight:
                id: fn4w5zg9n1hyl
            contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            site:
              $ref: '#/components/schemas/Site-Read-Nested'
          required:
            - type
            - ordinality
            - site
        - $ref: '#/components/schemas/Identifier'
    Company-Read-Nested:
      title: Company-Read-Nested
      x-stoplight:
        id: cb2kn77qmf1l7
      description: Compact Company model for nested reads.
      allOf:
        - $ref: '#/components/schemas/Identifier'
          x-stoplight:
            id: jwsufva4znm91
        - $ref: '#/components/schemas/TreadId'
        - type: object
          properties:
            legal_name:
              type: string
              x-stoplight:
                id: yc10t8hieecwk
              description: The Company's name. Must be globally unique.
            company_type:
              $ref: '#/components/schemas/CompanyType'
          required:
            - legal_name
            - company_type
    RateTime-Read-Nested:
      title: RateTime-Read-Nested
      x-stoplight:
        id: k3z13rbtdojcq
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - type
            - time_rate
          properties:
            name:
              type: string
              x-stoplight:
                id: s5zmmpgpw8ykn
            type:
              $ref: '#/components/schemas/RateType'
            time_rate:
              type: number
              x-stoplight:
                id: yzbg76z9oflup
    RatePerUnit-Read-Nested:
      title: RatePerUnit-Read-Nested
      x-stoplight:
        id: 5kl2dre6otz74
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - type
            - unit_rate
          properties:
            name:
              type: string
              x-stoplight:
                id: 7wb8p1ffoz1wz
            type:
              $ref: '#/components/schemas/RateType'
            unit_rate:
              type: number
              x-stoplight:
                id: szqf3p2vkmb0x
    RateCommission-Read-Nested:
      title: RateCommission-Read-Nested
      x-stoplight:
        id: rfosxiu0rajbx
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - type
            - commission_percentage
          properties:
            name:
              type: string
              x-stoplight:
                id: uquhf0pc3ydpf
            type:
              $ref: '#/components/schemas/RateType'
            commission_percentage:
              type: number
              x-stoplight:
                id: 44e2kldfzbxdj
    RateFlatCommission-Read-Nested:
      title: RateFlatCommission-Read-Nested
      x-stoplight:
        id: wtdgoiw8tlpl3
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - type
            - commission_amount
          properties:
            name:
              type: string
              x-stoplight:
                id: yt5g1alyyd6fu
            type:
              $ref: '#/components/schemas/RateType'
            commission_amount:
              type: number
              x-stoplight:
                id: 14a1jkho85lpw
    RateFlatRate-Read-Nested:
      title: RateFlatRate-Read-Nested
      x-stoplight:
        id: l2to0mrxz6ndu
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: khly9g5a3tgap
          required:
            - name
            - type
            - flat_amount
          properties:
            name:
              type: string
              x-stoplight:
                id: 0h0s2w3tathgv
            type:
              $ref: '#/components/schemas/RateType'
            flat_amount:
              type: number
              x-stoplight:
                id: 3s2pycb09j6ph
    Phase-Read:
      title: Phase-Read
      x-stoplight:
        id: t87rtwp61n8ry
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - code
            - primary
          properties:
            name:
              type: string
              x-stoplight:
                id: joxj6kldpdok8
            code:
              type: string
              x-stoplight:
                id: mtoxuvguckczq
              nullable: true
            primary:
              type: boolean
              x-stoplight:
                id: ww6q56py1x5wq
        - $ref: '#/components/schemas/Timestamps'
    Contact-Read-Nested:
      title: Contact-Read-Nested
      x-stoplight:
        id: 3u6d8qhsz5ehn
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - email
            - phone
          properties:
            name:
              type: string
              x-stoplight:
                id: sd80y9pbgvkok
              nullable: true
            email:
              type: string
              x-stoplight:
                id: 883fmt34pdeaj
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: wdtqyju4t4u06
              example: '+18885551234'
              nullable: true
      description: ''
    EquipmentType-Read-Nested:
      title: EquipmentType-Read-Nested
      x-stoplight:
        id: em46i5kysysdh
      type: object
      required:
        - id
        - name
        - system
        - external_id
        - accounting_id
      properties:
        id:
          type: string
          x-stoplight:
            id: 835oy22o6h24z
          format: uuid
        name:
          type: string
          x-stoplight:
            id: tnszefd7lypln
        system:
          type: boolean
          x-stoplight:
            id: vimoqz5e8x6gx
        external_id:
          type: string
          x-stoplight:
            id: ttaijg77qmbgk
          nullable: true
        accounting_id:
          type: string
          x-stoplight:
            id: s4rscgptv68x3
          nullable: true
      additionalProperties: false
    Department-Read-Nested:
      title: Department-Read-Nested
      x-stoplight:
        id: gv9tfg4scr2yx
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: 4y3gfdgq1brqf
          properties:
            name:
              type: string
              x-stoplight:
                id: 3718c2tvwwqsn
              description: Department name.
          required:
            - name
    ServiceClass-Read-Nested:
      title: ServiceClass-Read-Nested
      x-stoplight:
        id: ahk4knwjgo1di
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          properties:
            name:
              type: string
              description: ServiceClass name.
          required:
            - name
    Foreman-Read-Nested:
      title: Foreman-Read-Nested
      x-stoplight:
        id: f9iqzaesw4aij
      allOf:
        - $ref: '#/components/schemas/Foreman-Read-Typeahead'
        - type: object
          x-stoplight:
            id: m5idk3cd24zti
          required:
            - email
            - company
          properties:
            email:
              type: string
              x-stoplight:
                id: ft77ezeftemb1
              nullable: true
            company:
              $ref: '#/components/schemas/Company-Read-Nested'
        - $ref: '#/components/schemas/Discardable'
    User-Read-Nested:
      title: User-Read-Nested
      x-stoplight:
        id: llvhpyfas0ekp
      allOf:
        - $ref: '#/components/schemas/User-Read-Typeahead'
        - $ref: '#/components/schemas/Discardable'
        - type: object
          x-stoplight:
            id: 6i4ku1oj5jnjs
          required:
            - email
            - phone
            - external_id
            - schedule_on
          properties:
            email:
              type: string
              x-stoplight:
                id: lyetvi4zixhq9
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: 5dyog3jwd9m72
              description: User's E.164 formatted phone number
              nullable: true
            external_id:
              type: string
              x-stoplight:
                id: nk3qk35smj1ej
              nullable: true
            schedule_on:
              type: boolean
              x-stoplight:
                id: 5l8bajmm29c31
    NullableRateType:
      title: NullableRateType
      x-stoplight:
        id: rajiobym5ovlp
      allOf:
        - $ref: '#/components/schemas/RateType'
      nullable: true
      type: string
    Account-Read-Nested:
      title: Account-Read-Nested
      x-stoplight:
        id: zo8r3gsz1tm5h
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Discardable'
        - type: object
          x-stoplight:
            id: gl7hua7pv8xka
          required:
            - name
            - account_types
            - external_id
            - accounting_id
            - company
            - schedule_on
          properties:
            name:
              type: string
              x-stoplight:
                id: a7g065w5byfcf
            account_types:
              type: array
              x-stoplight:
                id: a0e9c3lpr1wad
              items:
                $ref: '#/components/schemas/AccountType'
            external_id:
              type: string
              x-stoplight:
                id: yfrec4y0a90cb
              nullable: true
            accounting_id:
              type: string
              x-stoplight:
                id: yfsec5y0a91cb
              nullable: true
            company:
              type: object
              x-stoplight:
                id: 9loqtu14mvlnq
              required:
                - id
              properties:
                id:
                  type: string
                  x-stoplight:
                    id: udjkdjrz08pzr
                  format: uuid
            billing_address:
              $ref: '#/components/schemas/Address-Read-Nested'
            schedule_on:
              type: boolean
              x-stoplight:
                id: 0g9kx77zym4ok
            connected_company:
              $ref: '#/components/schemas/Company-Read-Nested'
            billing_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
    OrderSummary-Read-Nested:
      title: OrderSummary-Read-Nested
      x-stoplight:
        id: txk79mvoytxze
      type: object
      description: >-
        Additional descriptions

        - `material_gross_unit_of_measure`: The associated unit_of_measure of
        the `material_gross_delivered_quantity `
      required:
        - accepted_jobs_count
        - assigned_jobs_count
        - delivered_loads_count
        - jobs_count
        - loads_count
        - sent_jobs_count
        - started_jobs_count
        - file_attachments_count
        - delivered_quantities
        - actionable_jobs_count
        - approved_loads_count
        - approved_payables
        - total_payables
        - approved_receivables
        - total_receivables
        - calculated_loads_count
        - material_gross_delivered_quantity
        - material_gross_ticketed_delivered_quantity
        - material_gross_unit_of_measure
        - material_gross_requested_quantity
        - total_tickets_count
        - total_tickets_quantity
        - first_load_unloaded_at
        - first_ticket_at
        - travelled_distance_meters
      properties:
        accepted_jobs_count:
          type: integer
          x-stoplight:
            id: dmknjnjl1qjcm
        assigned_jobs_count:
          type: integer
          x-stoplight:
            id: 7n6ecsq78qnxy
        delivered_loads_count:
          type: integer
          x-stoplight:
            id: igjm71yhrncpz
        jobs_count:
          type: integer
          x-stoplight:
            id: i11zevor4qj3u
        loads_count:
          type: integer
          x-stoplight:
            id: 4itzje6kdoyvr
        sent_jobs_count:
          type: integer
          x-stoplight:
            id: 5ljk304jmvxxv
        started_jobs_count:
          type: integer
          x-stoplight:
            id: g1pf8ecavu91c
        file_attachments_count:
          type: integer
          x-stoplight:
            id: asdf321yz102y
        delivered_quantities:
          type: array
          x-stoplight:
            id: tz7t9d6whma7u
          items:
            $ref: '#/components/schemas/DeliveredQuantity-Read'
        actionable_jobs_count:
          type: integer
          x-stoplight:
            id: x92jv1ie9icwm
        approved_loads_count:
          type: integer
          x-stoplight:
            id: ynkcps94laab5
        approved_payables:
          type: integer
          x-stoplight:
            id: 0t0vza2v6z7oj
          minimum: 0
          description: Total number of approved payable invoices associated with the order.
        total_payables:
          type: integer
          x-stoplight:
            id: mbzi3pgp8u1nr
          minimum: 0
          description: Total number of payable invoices associated with the order.
        approved_receivables:
          type: integer
          x-stoplight:
            id: i88d18440drnu
          minimum: 0
          description: >-
            Total number of approved receivable invoices associated with the
            order.
        total_receivables:
          type: integer
          x-stoplight:
            id: 3e9vb8qziofmq
          minimum: 0
          description: Total number of receivable invoices associated with the order.
        calculated_loads_count:
          type: integer
          x-stoplight:
            id: qg3v5bidqzwiy
          description: >-
            The calculated number of Loads to be delivered for an Order when
            Order has a per Job capacity
          nullable: true
        material_gross_delivered_quantity:
          type: string
          x-stoplight:
            id: ly9ruqsa2biao
          description: >-
            Largest sum of all delivered_quantities.delivered grouped by
            unit_of_measure
          nullable: true
        material_gross_ticketed_delivered_quantity:
          type: string
          x-stoplight:
            id: ly9rvqsb2bjao
          description: >-
            Largest sum of all delivered_quantities.delivered grouped by
            unit_of_measure where ticketed is true
          nullable: true
        estimated_delivered_quantity:
          type: string
          x-stoplight:
            id: ly9svqtb2cjao
          description: Estimated delivered quantity for the order
          nullable: true
        estimated_delivered_unit_of_measure:
          $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
        material_gross_unit_of_measure:
          $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
        material_gross_requested_quantity:
          type: string
          x-stoplight:
            id: wvopfpoio0xwv
          description: The total quantity of Material requested on the Order
          nullable: true
        total_tickets_count:
          type: integer
          x-stoplight:
            id: pfuefmmipsq1v
        total_tickets_quantity:
          type: string
          x-stoplight:
            id: zd7xlu6t9ct7c
        first_load_unloaded_at:
          type: string
          x-stoplight:
            id: t6dp1fz8z83dy
          format: date-time
          nullable: true
        first_ticket_at:
          type: string
          x-stoplight:
            id: ral0sd1o5qt9p
          format: date-time
          nullable: true
        travelled_distance_meters:
          type: string
          x-stoplight:
            id: td2g7h8i9j0k1
          nullable: true
      additionalProperties: false
    NullableRequestedQuantityType:
      title: NullableRequestedQuantityType
      x-stoplight:
        id: gd7d2u7zxxj9b
      allOf:
        - $ref: '#/components/schemas/RequestedQuantityType'
      nullable: true
      type: string
    OrderStateEvent:
      title: OrderStateEvent
      x-stoplight:
        id: 1a7ulz2srbdfc
      enum:
        - accept
        - cancel
        - complete
        - hold
        - reject
        - request
        - start
        - weather_hold
    Site-Read-Nested:
      title: Site-Read-Nested
      x-stoplight:
        id: rt6xqxsfzf4iv
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - lat
            - lon
            - full_address
            - routable
          properties:
            name:
              type: string
              x-stoplight:
                id: 7r0x7wicrvwyy
            lat:
              type: string
              x-stoplight:
                id: cr6y5v0hdl5oo
              nullable: true
            lon:
              type: string
              x-stoplight:
                id: f23mkvamncbuw
              nullable: true
            address:
              $ref: '#/components/schemas/Address-Read-Nested'
            full_address:
              type: string
              x-stoplight:
                id: uxixxnmgfi47i
              nullable: true
            routable:
              type: boolean
              x-stoplight:
                id: uobfxkm0hujhv
            next_billion_geofence:
              $ref: '#/components/schemas/NextBillionGeofence-Read'
        - $ref: '#/components/schemas/Discardable'
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    StateError-Response:
      title: StateError-Response
      x-stoplight:
        id: i0wsk2gmnaqup
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/StateError'
      additionalProperties: false
    ModelError-Response:
      title: ModelError-Response
      x-stoplight:
        id: payf9ndh3l6np
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ModelError'
      additionalProperties: false
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    DispatchNumber-Read-Nested:
      title: DispatchNumber-Read-Nested
      x-stoplight:
        id: 5oe6kw6t82gnr
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
          properties:
            name:
              type: string
    OrderState:
      title: OrderState
      x-stoplight:
        id: vns4k5u34s0dg
      enum:
        - created
        - pending_request
        - accepted
        - rejected
        - in_progress
        - completed
        - canceled
        - hold
        - weather_hold
      example: created
      default: created
    OrderUnitOfMeasure:
      title: OrderUnitOfMeasure
      x-stoplight:
        id: kahcgn7w8swdv
      enum:
        - Load
        - Tonne
        - Ton
        - Yard
        - Meter
        - Foot
        - Liter
        - Hour
        - Bushel
        - Gallon
        - CubicMeter
        - Mile
        - Kilometer
        - Barrel
        - Bag
        - Pallet
      example: Load
    Project-Read-Typeahead:
      title: Project-Read-Typeahead
      x-stoplight:
        id: 3wdg6ghyvsknb
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - external_id
          properties:
            name:
              type: string
              description: Project name
            external_id:
              type: string
              x-stoplight:
                id: 7kipqxvhrgvk0
              nullable: true
    Equipment-Read-Typeahead:
      title: Equipment-Read-Typeahead
      x-stoplight:
        id: sv94osohm5xhg
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - equipment_type
            - external_id
            - equipment_id
          properties:
            name:
              type: string
              description: Equipment name
            equipment_type:
              $ref: '#/components/schemas/EquipmentType-Read-Nested'
            external_id:
              type: string
              x-stoplight:
                id: jrkz95htilck3
              nullable: true
            company_share:
              $ref: '#/components/schemas/CompanyShare-Read-Nested'
            equipment_id:
              type: string
              x-stoplight:
                id: fkr9fkdtl996f
    WaypointType:
      title: WaypointType
      x-stoplight:
        id: a8567v0zl3pi3
      enum:
        - pickup
        - drop_off
        - weigh_point
      example: pickup
    TreadId:
      title: TreadId
      x-stoplight:
        id: 43k4t5tl359m4
      type: object
      required:
        - tread_id
      properties:
        tread_id:
          type: string
          x-stoplight:
            id: zi3ld7djflw6f
          pattern: ^[0-9A-F]{6}$
          minLength: 6
          maxLength: 6
          example: ABC123
          description: Tread ID
      additionalProperties: false
    CompanyType:
      title: CompanyType
      x-stoplight:
        id: dkzo7gjbtb1b3
      enum:
        - broker
        - contractor
        - hauler
        - owner_operator
        - producer
        - super
      example: hauler
      description: Company Type
    RateType:
      title: RateType
      x-stoplight:
        id: zn2jb7gsifkk3
      enum:
        - RatePerHour
        - RatePerDay
        - RatePerLoad
        - RatePerTon
        - RatePerTonne
        - RatePerYard
        - RatePerBushel
        - RateCommission
        - RateFlatCommission
        - RateFlatRate
      example: RatePerHour
    Foreman-Read-Typeahead:
      title: Foreman-Read-Typeahead
      x-stoplight:
        id: kdwiblw3n3qtm
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: mhsvzlxjbapan
          required:
            - first_name
            - last_name
            - phone
          properties:
            first_name:
              type: string
              x-stoplight:
                id: 8fst58e2tam8v
              description: First name
            last_name:
              type: string
              x-stoplight:
                id: av8z4dxam69hi
              description: Last name
            company_share:
              $ref: '#/components/schemas/CompanyShare-Read-Nested'
            phone:
              type: string
              x-stoplight:
                id: 7b5vdi0y2qt5m
              description: User's E.164 formatted phone number
              nullable: true
    Discardable:
      title: Discardable
      x-stoplight:
        id: 46axlb8u5wjay
      type: object
      required:
        - discarded_at
      properties:
        discarded_at:
          type: string
          x-stoplight:
            id: cy8t6fecoyxbo
          format: date-time
          nullable: true
      additionalProperties: false
    User-Read-Typeahead:
      title: User-Read-Typeahead
      x-stoplight:
        id: ttbbss5b5k66f
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - first_name
            - last_name
          properties:
            first_name:
              type: string
              description: First name
              x-stoplight:
                id: gwo999rcdahmg
            last_name:
              type: string
              description: Last name
              x-stoplight:
                id: l9omnnsq644bh
      description: ''
    AccountType:
      title: AccountType
      x-stoplight:
        id: i4vfmd4rwrq8p
      enum:
        - customer
        - vendor
      example: customer
    Address-Read-Nested:
      title: Address-Read-Nested
      x-stoplight:
        id: cvym2dzuo375q
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Address-Read'
    DeliveredQuantity-Read:
      title: DeliveredQuantity-Read
      x-stoplight:
        id: trwwil0vsjrtn
      type: object
      required:
        - delivered
        - unit_of_measure
        - material_name
        - total
        - ticketed
      properties:
        delivered:
          type: string
          x-stoplight:
            id: xqo11su8z94my
        unit_of_measure:
          $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
        material_name:
          type: string
          x-stoplight:
            id: h7jmwwi6jx02h
          nullable: true
        total:
          type: string
          x-stoplight:
            id: 8ghxe07yz102y
        ticketed:
          type: boolean
          nullable: true
          x-stoplight:
            id: hxg8e07yz102y
      additionalProperties: false
    RequestedQuantityType:
      title: RequestedQuantityType
      x-stoplight:
        id: qysuik83a8uvo
      enum:
        - truck
        - load
        - unit
    NextBillionGeofence-Read:
      title: NextBillionGeofence-Read
      x-stoplight:
        id: 60y0z4bb3pu6m
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Geofence-Data'
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    StateError:
      title: StateError
      x-stoplight:
        id: zgcsl4t8bsn3c
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: ntvt2atfotcge
          required:
            - errors
          properties:
            errors:
              type: array
              x-stoplight:
                id: noi1jg6o8psl7
              items:
                $ref: '#/components/schemas/StateError-Item'
    ModelError:
      title: ModelError
      x-stoplight:
        id: nhp6714o4j1qt
      description: A Model-specific error
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          required:
            - errors
          properties:
            errors:
              type: array
              x-stoplight:
                id: m4ul9vcq2deh6
              items:
                $ref: '#/components/schemas/ModelError-Item'
    CompanyShare-Read-Nested:
      title: CompanyShare-Read-Nested
      x-stoplight:
        id: makajouqsb7jq
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: s6h0nfzt2fjry
          required:
            - external_id
            - ticket_match_id
            - sender_company
            - dispatchable
            - schedule_on
            - rate_override
            - expires_at
          properties:
            external_id:
              type: string
              x-stoplight:
                id: c9ls3nrhbih3v
              nullable: true
            ticket_match_id:
              type: string
              x-stoplight:
                id: a1cd3nrhbih3v
              nullable: true
            sender_company:
              $ref: '#/components/schemas/Company-Read-Nested'
            dispatchable:
              type: boolean
              x-stoplight:
                id: kd884ihz6qi6w
            schedule_on:
              type: boolean
              x-stoplight:
                id: kd884ihz61234
            rate_override:
              type: boolean
              x-stoplight:
                id: mq4osazzielxo
            expires_at:
              type: string
              x-stoplight:
                id: aaa111jpq0ga9
              format: date-time
              description: ISO8601 timestamp with local timezone
              nullable: true
    Address-Read:
      title: Address-Read
      x-stoplight:
        id: v1mcd2qgns2tf
      type: object
      required:
        - thoroughfare
        - premise
        - locality
        - administrative_area
        - postal_code
        - country
        - lat
        - lon
        - place_id
      properties:
        thoroughfare:
          type: string
          x-stoplight:
            id: 8wrr7qkc9ilqn
        premise:
          type: string
          x-stoplight:
            id: z4jth408out1q
          nullable: true
        locality:
          type: string
          x-stoplight:
            id: kfby6wqpgvxbz
        administrative_area:
          type: string
          x-stoplight:
            id: c9bkrloxf4t8d
        postal_code:
          type: string
          x-stoplight:
            id: 7zq51k1mof3o3
        country:
          type: string
          x-stoplight:
            id: iydw9q619ya01
          pattern: ^[A-Z]{2}
          example: US
          minLength: 2
          maxLength: 2
        lat:
          type: string
          x-stoplight:
            id: kqu1qtf9rivh1
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
          nullable: true
        lon:
          type: string
          x-stoplight:
            id: oly2yabkzpk9g
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
          nullable: true
        place_id:
          type: string
          x-stoplight:
            id: im1fdq7qqxdij
          description: NextBillion placeID
          nullable: true
      additionalProperties: false
    Geofence-Data:
      title: Geofence-Data
      x-stoplight:
        id: ay73k76oae8gm
      type: object
      properties:
        id:
          type: string
          format: uuid
          x-stoplight:
            id: m9n8p7q6r5s4t
          description: NextBillionGeofence ID
        geofence:
          type: object
          x-stoplight:
            id: bo67u046r1ibk
          required:
            - name
            - type
          properties:
            id:
              type: string
              x-stoplight:
                id: nm2o97jli2zqm
              format: uuid
              description: NextBillion Geofence ID
            name:
              type: string
              x-stoplight:
                id: x5sp8wq8d2ack
            type:
              type: string
              x-stoplight:
                id: d91rv1gbtfkm0
              description: '`circle` or `polygon`'
            geojson:
              type: object
              x-stoplight:
                id: vk7dx7ipdbuxa
              required:
                - type
                - coordinates
              properties:
                type:
                  type: string
                  x-stoplight:
                    id: 65qatpxdox3e9
                  description: type should be `Polygon`
                coordinates:
                  type: array
                  x-stoplight:
                    id: 3an8g587wblcs
                  description: >-
                    This should be an enclosed polygon.


                    Example format:

                    [[[-118.226140484,34.048200454],[-118.22616052,34.046872766],[-118.226198738,34.04952736],[-118.226140484,34.048200454]]]
                  items:
                    x-stoplight:
                      id: 2kltvjxl5xks6
                    type: array
                    items:
                      x-stoplight:
                        id: k93dt39dghru4
                      type: array
                      items: {}
            circle_center:
              type: object
              x-stoplight:
                id: 6xr3h683f7cl9
              required:
                - lat
                - lon
              properties:
                lat:
                  type: number
                  x-stoplight:
                    id: y70xc1ptapv1g
                lon:
                  type: number
                  x-stoplight:
                    id: uy3twrpcueq9m
            circle_radius:
              type: number
              x-stoplight:
                id: qrnq301sqfl3d
            tag:
              x-stoplight:
                id: debfy3x1l48zc
              enum:
                - pickup
                - loading
                - drop_off
                - unloading
                - check_in
                - scaling
                - ticketing
              deprecated: true
        moving_geofence:
          type: boolean
          x-stoplight:
            id: y15533dbr62js
          default: false
        tag:
          $ref: '#/components/schemas/GeofenceTag'
        geofence_type:
          $ref: '#/components/schemas/NullableGeofenceType'
      additionalProperties: false
    StateError-Item:
      title: StateError-Item
      x-stoplight:
        id: dgw2jdmi7ozjj
      allOf:
        - $ref: '#/components/schemas/ModelError-Item'
        - type: object
          x-stoplight:
            id: jrgi7oapao3e5
          required:
            - state
            - event
          properties:
            state:
              type: string
              x-stoplight:
                id: mah8jye43io32
              description: The current state value of the field on this Model
            event:
              type: string
              x-stoplight:
                id: dtgu62ni9ofuh
              description: The failed state event called on the Model
    ModelError-Item:
      title: ModelError-Item
      x-stoplight:
        id: b93chwval2t8d
      type: object
      required:
        - model
        - field
        - message
      properties:
        model:
          type: string
          x-stoplight:
            id: 30myfyjkno8ao
          description: The Model associated with this Error
        field:
          type: string
          x-stoplight:
            id: 8gl4ed3uxhdws
          description: The field associated with this Error
        message:
          type: string
          x-stoplight:
            id: bmgbrtmw17qsj
          description: The Error message
      additionalProperties: false
    GeofenceTag:
      title: GeofenceTag
      x-stoplight:
        id: anytkmb3ydi6c
      enum:
        - scaling
        - site
        - loading
        - unloading
        - check_in
        - ticketing
    NullableGeofenceType:
      title: NullableGeofenceType
      x-stoplight:
        id: ii94t82oqh5xo
      allOf:
        - $ref: '#/components/schemas/GeofenceType'
      nullable: true
      type: string
    GeofenceType:
      title: GeofenceType
      x-stoplight:
        id: geahowr9r8ly1
      nullable: true
      enum:
        - moving
        - circle
        - polygon
      readOnly: true
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    StateError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/StateError-Response'
            type: object
    ModelError:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ModelError-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````